
/*=============== VARIABLES CSS ===============*/
:root {
  --header-height: 3.5rem;

  /*========== Colors ==========*/
  /*Color mode HSL(hue, saturation, lightness)*/
  --black-color: hsl(220, 24%, 12%);
  --black-color-light: hsl(220, 24%, 15%);
  --black-color-lighten: hsl(220, 20%, 18%);
  --white-color: #fff;
  --body-color: hsl(220, 100%, 97%);

  /*========== Font and typography ==========*/
  /*.5rem = 8px | 1rem = 16px ...*/
  --body-font: "Fira Sans", "Fira-Sans-Fallback", "Apple Color Emoji", "Noto Color Emoji", sans-serif;
  --normal-font-size: .938rem;

  /*========== Font weight ==========*/
  --font-regular: 400;
  --font-semi-bold: 600;

  /*========== z index ==========*/
  --z-tooltip: 10;
  --z-fixed: 100;
}

/*========== Responsive typography ==========*/
@media screen and (min-width: 1024px) {
  :root {
    --normal-font-size: 1rem;
  }
}

/*=============== BASE ===============*/
* {
  box-sizing: border-box;
  padding: 0;
  margin: 0;
}

body {
  font-family: var(--body-font);
  font-size: var(--normal-font-size);
  background-color: var(--body-color);
  word-spacing: normal;
}

ul {
  list-style: none;
}

a {
  text-decoration: none;
}

/*=============== REUSABLE CSS CLASSES ===============*/
.container {
  max-width: 1120px;
  margin-inline: 1.5rem;
}

/*=============== HEADER ===============*/
.header {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  background-color: var(--black-color);
  box-shadow: 0 2px 16px hsla(220, 32%, 8%, .3);
  z-index: var(--z-fixed);
}

.header::before {
  content: "";
  position: absolute;
  inset: 0;
  background-image: url(images/lotus-1205631_1280.webp);
  background-size: cover;
  background-position: center;
  opacity: 0;
  transition: opacity 0.4s ease;
  z-index: -1;
  filter: brightness(0.5);
}

.header.top::before {
  opacity: 1;
}

/*=============== NAV ===============*/
.nav {
  height: var(--header-height);
}

.nav__logo, 
.nav__burger, 
.nav__close {
  color: var(--white-color);
}

.nav__data {
  height: 100%;
  display: flex;
  justify-content: space-between;
  align-items: center;
  text-align: center;
}

.nav__logo {
  display: inline-flex;
  align-items: center;
  column-gap: 1.5rem;
  font-weight: var(--font-semi-bold);
  margin-left: -100px;
}
.logo__img {
  width: 70px;
}
.nav__logo i {
  font-weight: initial;
  font-size: 1.25rem;
}
.nav__logo span {
  font-size: 1.25rem;
}
.nav__toggle {
  position: relative;
  width: 32px;
  height: 32px;
}
.nav__burger, 
.nav__close {
  position: absolute;
  width: max-content;
  height: max-content;
  inset: 0;
  margin: auto;
  font-size: 1.25rem;
  cursor: pointer;
  transition: opacity .1s, transform .4s;
}

.nav__close {
  opacity: 0;
}
.dropdown__menu{
    width: 240px;
    word-spacing: normal;
}
.dropdown__submenu{
    width: 310px;
    word-spacing: normal;
}
.dropdown__item{
    width: auto;
    word-spacing: normal;
}
.dropdown__link{
    width: auto;
    word-spacing: normal;
}
.active-link {
  color: hsl(260, 100%, 82%) !important;
}

/*=============== INTRO SECTION ===============*/
.intro {
    background: url('images/purple-texture.jpg') center center / cover no-repeat;
    padding-top: calc(var(--header-height) + 6rem);
    padding-bottom: 4rem;
    text-align: center;
    position: relative;
  }
  
  .intro__container {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 1.5rem;
  }

.intro__image-container {
    width: 100%;
    max-width: 920px;
    height: 620px;
    overflow: hidden;
    margin: 0 auto;
    position: relative;
    box-shadow: 0 4px 12px rgba(0,0,0,0.3);
  }
  
.intro__image {
    width: 100%;
    height: 100%;
    object-fit: cover;
    transition: transform 2.5s ease;
    transform-origin: center center;
}
.intro__image-container:hover .intro__image {
    transform: scale(1.1);
}
.intro__image-container:hover .intro__image {
  transform: scale(1.1);
}
.intro__title {
    font-size: 2rem;
    font-weight: var(--font-semi-bold);
}
  
.intro__text {
    font-size: 1.5rem;
    max-width: 700px;
    text-align: justify;
}
  
.intro__button {
    display: inline-block;
    margin-top: 1rem;
    padding: 0.75rem 2rem;
    background-color: black;
    color: #fff;
    font-weight: var(--font-semi-bold);
    border-radius: 2.5rem;
    max-width: 175px;
    align-items: center;
    text-align: center;
    transition: background-color 0.3s;
    font-size: large;
}

.corporativo__button {
    display: block;
    width: fit-content;
    padding: 0.75rem 2rem;
    margin: 2rem auto 0 auto; /* Esto lo centra horizontalmente */
    background-color: black;
    color: #fff;
    font-weight: var(--font-semi-bold);
    border-radius: 2.5rem;
    max-width: 175px;
    align-items: center;
    text-align: center;
    transition: background-color 0.3s;
    font-size: large;
}
.intro__button:hover {
    background-color: #5e35b1;
}
.corporativo__button:hover {
    background-color: #5e35b1;
}
/*=============== TARIFAS SECTION ===============*/
  .tarifas {
    position: relative;
    height: 200px;
    overflow: hidden;
    display: flex;
    justify-content: center;
    align-items: center;
  }
  .tarifas__background {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-image: url('images/lotus-1205631_1280.webp');
    background-size: cover;
    background-position: center;
    filter: brightness(0.4);
    transition: transform 2.5s ease;
    z-index: 1;
  }
  .tarifas:hover .tarifas__background {
    transform: scale(1.05);
  }
  .tarifas__button {
    position: absolute;
    left: 20%;
    z-index: 10;
    padding: 0.75rem 2rem;
    background-color: white;
    color: var(--black-color);
    font-weight: var(--font-semi-bold);
    border-radius: 2.5rem;
    max-width: 175px;
    align-items: center;
    text-align: center;
    transition: background-color 0.3s;
    font-size: large;
  }
  .tarifas__button:hover {
    background-color: hsla(0, 0%, 100%, .8);
  }
/*=============== SERVICIOS SECTION ===============*/
.servicios {
    background: url('images/purple-texture.jpg') center center / cover no-repeat;
    padding: 4rem 0;
}
.servicios__container {
    text-align: center;
    margin-bottom: 4rem;
}
.servicios__title {
    font-size: 3rem;
    margin-bottom: 2rem;
    margin-top: 2rem;
    color: var(--black-color);
}
.servicios__3-image-container {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 2rem;
    flex-wrap: wrap;
}
.servicios__image-wrapper {
    position: relative;
    overflow: hidden;
    width: 400px;
    height: 400px;
}
.servicios__image {
    width: 100%;
    height: 100%;
    object-fit: cover;
    transition: transform 0.3s ease;
}
.servicios__image-wrapper:hover .servicios__image {
    transform: scale(1.1);
}
.servicios__button {
    position: absolute;
    bottom: 0;
    left: 50%;
    transform: translateX(-50%);
    background-color: rgba(0, 0, 0, 0.5);
    color: white;
    padding: 1rem 1rem;
    text-decoration: none;
    font-weight: var(--font-semi-bold);
    font-size: 1.5rem;
    border-radius: 0.25rem;
    transition: background-color 0.3s;
    width: 100%;
}
.servicios__button:hover {
    background-color: rgba(0, 0, 0, 0.7);
}
/*=============== CONTACTO SECTION ===============*/
.contacto {
    position: relative;
    background-size: cover;
    background-position: center;
    padding: 4rem 0;
    text-align: center;
    background-image: url('images/lotus-1205631_1280.webp');
}
.contacto::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.6);
    z-index: 1;
}
.contacto__container {
    display: flex;
    align-items: center;
    max-width: 1200px;
    margin: 0 auto;
    padding: 4rem;
    position: relative;
    z-index: 2;
}
.contacto__image {
    position: absolute;
    top: 50px;
    left: 1%;
    width: 300px;
    height: auto;
    z-index: 20;
}
.contacto__texto {
    flex: 1;
    text-align: left;
    margin-left: 600px;
}
.contacto__texto h1 {
    line-height: 1.8;
    font-size: 1.5rem;
    font-weight: bold;
    margin: 0;
    color: #fff;
}
.contacto__texto p {
    font-size: 1.4rem;
    font-weight: bold;
    line-height: 1.8;
    margin: 0;
    color: hsla(0, 0%, 100%, .8);
    word-spacing: normal;
    font-family: Calibri, sans-serif;
}
.contacto__texto h2:first-of-type {
    font-size: 1.4rem;
    line-height: 1.8;
    margin: 0;
    color: #fff;
    word-spacing: normal;
    font-family: Calibri, sans-serif;
}
.contacto__texto h2:last-of-type {
    font-size: 1.4rem;
    line-height: 1.8;
    margin: 0;
    color: #fff;
    word-spacing: normal;
    font-family: Calibri, sans-serif;
    text-decoration: underline;
}
.contacto__texto i {
  margin-right: 0.5rem;
  color: hsl(260, 100%, 82%);
  font-size: 1.2rem;
  vertical-align: middle;
}
.margin{
  padding-left: 40px;
}
/*=============== COOKIES SECTION ===============*/
.cookies {
    position: relative;
    text-align: center;
    padding: 20px;
    background-color: var(--black-color);
}
.cookies__container {
    display: inline-block;
}
.cookies__link {
    text-decoration: underline;
    color: hsla(0, 0%, 100%, .8);
    cursor: pointer;
}
.cookies__link:hover {
    font-weight: bold;
}
.cookies__popup {
    position: fixed;
    bottom: 0;
    left: 0;
    width: 100%;
    background-color: var(--black-color);
    padding: 50px;
    box-shadow: 0 -2px 5px rgba(0, 0, 0, 0.2);
    display: none;
    text-align: center;
    z-index: 1000;
    color: hsla(0, 0%, 100%, .8);
}
.cookies__popup--active {
    display: block;
}
.cookies__buttons {
    margin-top: 20px;
}
.cookies__button {
    padding: 10px 20px;
    margin: 0 10px;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    font-size: 1rem;
}
.cookies__close {
    position: absolute;
    top: 10px;
    right: 20px;
    font-size: 30px;
    color: hsla(0, 0%, 100%, .8);
    cursor: pointer;
}
.cookies__button--necessary {
    background-color: white;
    color: var(--black-color);
}
.cookies__button--all {
    background-color: white;
    color: var(--black-color);
}
.cookies__button--necessary:hover {
    background-color: hsla(0, 0%, 100%, .8);
    transition: 0.5s ease;
}
.cookies__button--all:hover {
    background-color: hsla(0, 0%, 100%, .8);
    transition: 0.5s ease;
}
/*=============== SOBRE MÍ PAGE ===============*/
.sobremi {
  position: relative;
  min-height: 1050px;
  overflow: hidden;
  color: hsla(0, 0%, 100%, .8);
  font-weight: var(--font-semi-bold);
}
.background__video {
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  overflow: hidden;
}
.background__video video {
  position: absolute;
  top: 50%;
  left: 50%;
  min-width: 150%; 
  min-height: 150%; 
  width: auto;
  height: auto;
  transform: translateX(-50%) translateY(-50%) scale(0.7);
  z-index: 1;
}
.background__video::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(10, 2, 26, 0.7);
  z-index: 2;
}
.simple__article {
  position: relative;
  z-index: 3;
  padding-top: 150px;
  font-size: 1.2em;
  line-height: 1.8;
  width: calc(100% - 50rem); /* Mantengo tu ancho dinámico */
  margin: 0 20rem; /* Mantengo tus márgenes */
  text-align: left; /* Añadido para consistencia */
}
.simple__article p + p{
  margin-top: 1em;
}
/*=============== SERVICIOS PAGE ===============*/
.servicios__page {
  padding: 3rem 1rem;
  text-align: center;
  background: url('images/purple-texture.jpg') center center / cover no-repeat;
  text-align: center;
}
.servicios__title {
  font-size: 2.5rem;
  padding: 2rem;
  color: var(--black-color)
}
.servicios__page__container {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  align-items: stretch;
  gap: 2rem;
  max-width: 1200px;
  margin: -1rem auto;
}
.servicio__item {
  display: flex;
  flex-direction: column;
  align-items: center;
  width: calc(50% - 2rem);
  max-width: 500px;
  text-align: center;
}
.servicios__image-container {
  width: 100%;
  aspect-ratio: 1/1;
  overflow: hidden;
  box-shadow: 0 2px 16px hsla(220, 32%, 8%, .3);
}
.servicios__image {
  width: 100%;
  height: 100%;
  object-fit: cover;
  display: block;
}
.servicio__item a {
  margin-top: 1rem;
  font-weight: var(--font-semi-bold);
  color: var(--black-color)
}
.servicio__item a:hover {
  cursor: pointer;
}
.servicios__image-container:hover .servicios__image {
  transform: scale(1.1);
  transition: transform 2s ease;
}
/*=============== YOGA PAGE ===============*/
.yoga__page {
  padding: 3rem 1rem;
  text-align: center;
  background: url('images/purple-texture.jpg') center center / cover no-repeat;
  text-align: center;
}
.yoga__title {
  font-size: 2.5rem;
  padding-top: 6rem;
  padding-bottom: 3rem;
  color: var(--black-color);
  word-spacing: normal;
}
.yoga__page__container {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  align-items: stretch;
  gap: 2rem;
  max-width: 1200px;
  margin: -1rem auto;
}
.yoga__item {
  display: flex;
  flex-direction: column;
  align-items: center;
  max-width: 500px;
  text-align: center;
}
.yoga__image-container {
  width: 100%;
  aspect-ratio: 1/1;
  overflow: hidden;
  box-shadow: 0 2px 16px hsla(220, 32%, 8%, .3);
}
.yoga__image {
  width: 100%;
  height: 100%;
  object-fit: cover;
  display: block;
}
.yoga__item a {
  margin-top: 1rem;
  font-weight: var(--font-semi-bold);
  font-size: 1.3rem;
  color: var(--black-color);
}
.yoga__item a:hover {
  cursor: pointer;
}
.yoga__image-container:hover .yoga__image {
  transform: scale(1.1);
  transition: transform 2s ease;
}
.yoga__article {
  font-size: 1.2em; /* Haz el texto más grande */
  line-height: 1.8; /* Espacio entre líneas, antes era 1.4 */
  width: 100%;
  text-align: left;
  margin-left: -20rem;
  margin-right: -20rem;
}
.yoga__article p + p{ /* Añade espacio encima del párrafo en negrita */
  margin-top: 1em; /* Ajusta el valor según necesites */
}
.yoga__item--wide {
  width: 100%;
  max-width: 100%;
  align-items: center;
}
.yoga__image-container--wide {
  width: 85%;
  aspect-ratio: 3/1; /* ajusta si hace falta */
  overflow: hidden;
  box-shadow: 0 2px 16px hsla(220, 32%, 8%, .3);
}
.yoga__article--wide {
  font-size: 1.3em;
  line-height: 1.8;
  width: 85%;
  font-weight: var(--font-semi-bold);
  margin: 2.5rem auto;
  text-align: left;
}
/*=============== YOGA CORPORATIVO PAGE ===============*/
.corporativo__page__container {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  align-items: stretch;
  gap: 2rem;
  max-width: 1800px;
  margin: -1rem auto;
}
.yoga__corporativo__item {
  display: flex;
  flex-direction: column;
  align-items: center;
  max-width: 400px;
  text-align: center;
}
/*=============== MASAJE ABHYANGA PAGE ===============*/
.abhyanga__image-container--wide {
  width: 85%;
  aspect-ratio: 1.9/1;
  overflow: hidden;
  box-shadow: 0 2px 16px hsla(220, 32%, 8%, .3);
}
/*=============== TARIFAS PAGE ===============*/

.tarifas__page {
  background: url('images/purple-texture.jpg') center center / cover no-repeat;
  padding-top: calc(var(--header-height) + 6rem);
  padding-bottom: 4rem;
  text-align: center;
  position: relative;
  align-items: center;
  display: flex;
  justify-content: center;
}

.tarifas__page__white__container {
  min-height: 1200px;
  background-color: #fff;
  width: 80%;
  box-shadow: 0 2px 16px hsla(220, 32%, 8%, .3);
}
.tarifas__title{
  font-weight:var(--black-color-light);
  margin-top: 50px;
  font-size: 3rem;
}
.tarifas__grid {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  gap: 2rem;
  margin-top: 3rem;
  padding-bottom: 75px;
}
.tarifas__column {
  display: flex;
  flex-direction: column;
  gap: 1.5rem;
  flex: 1 1 300px;
  max-width: 500px;
  align-items: center;
}
.tarifas__image-wrapper {
  width: 100%;
  overflow: hidden;
  aspect-ratio: 2/1;
}
.tarifas__image-wrapper img {
  width: 100%;
  height: 100%;
  object-fit: contain;
  display: block;
  transition: transform 1.5s ease;
}
.tarifas__image-zoom {
  width: 100%;
  overflow: hidden;
  aspect-ratio: 1.9/1;
  box-shadow: 0 2px 16px hsla(220, 32%, 8%, .2);
}
.tarifas__image-zoom img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  display: block;
  transition: transform 1.5s ease;
}
.tarifas__image-zoom:hover img {
  transform: scale(1.1);
}
.tarifas__caption {
  font-weight: 600;
  color: #5b3c7f;
  font-size: 1.1rem;
  margin-top: -1rem;
  margin-bottom: 1rem;
  text-align: center;
}
/*=============== CONTACTO PAGE ===============*/
.contacto__page {
  position: relative;
  background-size: cover;
  background-position: center;
  background-image: url('images/lotus-1205631_1280.webp');
  padding: 2rem 1rem;
  min-height: calc(100vh - 50px); /* Aproximado: header + cookies */
  display: flex;
  align-items: center;
  justify-content: center;
  text-align: center;
}

.contacto__page::before {
  content: "";
  position: absolute;
  inset: 0;
  background-color: rgba(0, 0, 0, 0.6);
  z-index: 1;
}

.contacto__page__container {
  position: relative;
  z-index: 2;
  max-width: 900px;
  margin: 0 auto;
  padding: 1rem 1rem;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 2rem;
}
.contacto__page__titulo {
  font-size: 3rem;
  color: white;
  padding: 50px;
}

.contacto__page__image {
  width: 300px;
  height: auto;
}
.contacto__page__texto {
  flex: 1;
  text-align: left;
  margin: 0px;
  padding-top: 100px;
}
.contacto__page__texto h1 {
  line-height: 1.8;
  font-size: 1.5rem;
  font-weight: bold;
  margin: 0;
  color: #fff;
}
.contacto__page__texto p {
  font-size: 1.4rem;
  font-weight: bold;
  line-height: 1.8;
  margin-left: 30px;
  color: hsla(0, 0%, 100%, .8);
  word-spacing: normal;
  font-family: Calibri, sans-serif;
}
.contacto__page__texto h2 {
  font-size: 1.4rem;
  line-height: 1.8;
  margin: 0;
  color: #fff;
  word-spacing: normal;
  font-family: Calibri, sans-serif;
}
.contacto__page__texto h2:last-of-type {
  font-size: 1.4rem;
  line-height: 1.8;
  margin: 0;
  color: #fff;
  word-spacing: normal;
  font-family: Calibri, sans-serif;
  text-decoration: underline;
}
.contacto__page__texto i {
margin-right: 0.5rem;
color: hsl(260, 100%, 82%);
font-size: 1.2rem;
vertical-align: middle;
}

@media screen and (max-width: 1300px) {
.sobremi {
  min-height: auto;
}
.simple__article {
  padding-top: 100px;
  padding-bottom: 50px;
  width: calc(100% - 5rem);
  margin: 0 2rem;
}
}
@media screen and (max-width: 1118px) {
.dropdown__menu,
.dropdown__submenu {
      width: 100%;
}
.dropdown__menu,
.dropdown__submenu {
  display: none;
}
.dropdown__item.active > .dropdown__menu,
.dropdown__subitem.active > .dropdown__submenu {
  display: block;
}
.nav__menu {
  position: absolute;
  left: 0;
  top: 2.5rem;
  width: 100%;
  height: calc(100vh - 3.5rem);
  overflow: auto;
  pointer-events: none;
  opacity: 0;
  transition: top .4s, opacity .3s;
}
.nav__menu::-webkit-scrollbar {
  width: 0;
}
.nav__list {
  background-color: var(--black-color);
  padding-top: 1rem;
}
.nav__logo {
  column-gap: 1rem;
  margin-left: -10px;
}
.nav__logo span {
  font-size: 1rem;
}
.logo__img {
  width: 50px;
}
.servicios__3-image-container {
  flex-direction: column;
  align-items: center;
}
.servicios__image-wrapper{
  width: 80%;
  margin-bottom: 2rem;
}
.contacto__container {
  flex-direction: column;
  align-items: center;
  justify-content: center;
}
.contacto__image {
  position: static;
  margin-bottom: 1rem;
}
.contacto__texto {
  text-align: center;
  margin-left: 0;
}
.margin{
  padding-left: 0px;
}
.servicio__item {
  width: 100%;
  max-width: 90%;
}
.yoga__page {
  padding: 1rem 1rem;
}
.yoga__image-container--wide {
  width: 95%;
  aspect-ratio: 2.1/1;
}
.yoga__article--wide {
  font-size: 1.5em;
}
.yoga__item a {
  margin-bottom: 1rem;
  font-size: 1.2rem;
}
.tarifas__grid {
  flex-direction: column;
  gap: 3rem;
  align-items: center;
}
.tarifas__column {
  max-width: 90%;
}
.tarifas__caption {
  font-size: 1rem;
}
.tarifas__title{
  font-size: 2rem;
}
}
.nav__link {
  color: var(--white-color);
  background-color: transparent;
  font-weight: var(--font-semi-bold);
  padding: 1.25rem 1.5rem;
  display: flex;
  justify-content: space-between;
  align-items: center;
  transition: background-color .3s;
}
.nav__link:hover {
  background-color: var(--black-color-light);
}
.show-menu {
  opacity: 1;
  top: 3.5rem;
  pointer-events: initial;
}
.show-icon .nav__burger {
  opacity: 0;
  transform: rotate(90deg);
}
.show-icon .nav__close {
  opacity: 1;
  transform: rotate(90deg);
}
/*=============== DROPDOWN ===============*/
.dropdown__item {
  cursor: pointer;
}
.dropdown__arrow {
  font-size: 1.25rem;
  font-weight: initial;
  transition: transform .4s;
}
.dropdown__arrow {
    margin-left: auto;
    transition: transform 0.6s ease;
}
.dropdown__item.active > .dropdown__link .dropdown__arrow,
.dropdown__subitem.active > .dropdown__link .dropdown__arrow {
    transform: rotate(90deg);
}
.dropdown__link, 
.dropdown__sublink {
  padding: 1.25rem 1.25rem 1.25rem 2.5rem;
  color: var(--white-color);
  background-color: var(--black-color-light);
  display: flex;
  align-items: center;
  column-gap: .5rem;
  font-weight: var(--font-semi-bold);
  transition: background-color .3s;
}
.dropdown__link i, 
.dropdown__sublink i {
  font-size: 1.25rem;
  font-weight: initial;
}
.dropdown__link:hover, 
.dropdown__sublink:hover {
  background-color: var(--black-color);
}
.dropdown__menu, 
.dropdown__submenu {
  max-height: 0;
  overflow: hidden;
  transition: max-height .4s ease-out;
}
.dropdown__item:hover .dropdown__menu, 
.dropdown__subitem:hover > .dropdown__submenu {
  max-height: 1000px;
  transition: max-height .4s ease-in;
}
.dropdown__item:hover .dropdown__arrow {
  transform: rotate(180deg);
}
/*=============== DROPDOWN SUBMENU ===============*/
.dropdown__add {
  margin-left: auto;
}
.dropdown__sublink {
  background-color: var(--black-color-lighten);
}
/*=============== BREAKPOINTS ===============*/
@media screen and (max-width: 340px) {
  .container {
    margin-inline: 1rem;
  }
  .nav__link {
    padding-inline: 1rem;
  }
}
@media screen and (max-width: 768px) {
  .intro__text {
    text-align: left;
  }
}
@media screen and (min-width: 1118px) {
  .container {
    margin-inline: auto;
  }
  .nav {
    height: calc(var(--header-height) + 2rem);
    display: flex;
    justify-content: space-between;
  }
  .nav__toggle {
    display: none;
  }
  .nav__list {
    height: 100%;
    display: flex;
    column-gap: 3rem;
  }
  .nav__link {
    height: 100%;
    padding: 0;
    justify-content: initial;
    column-gap: .25rem;
  }
  .nav__link:hover {
    background-color: transparent;
  }

  .dropdown__item, 
  .dropdown__subitem {
    position: relative;
  }

  .dropdown__menu, 
  .dropdown__submenu {
    max-height: initial;
    overflow: initial;
    position: absolute;
    left: 0;
    top: 6rem;
    opacity: 0;
    pointer-events: none;
    transition: opacity .3s, top .3s;
  }

  .dropdown__link, 
  .dropdown__sublink {
    padding-inline: 1rem 3.5rem;
  }
  .dropdown__subitem .dropdown__link {
    padding-inline: 1rem;
  }

  .dropdown__submenu {
    position: absolute;
    left: 100%;
    top: .5rem;
  }
  .dropdown__item:hover .dropdown__menu {
    opacity: 1;
    top: 5.5rem;
    pointer-events: initial;
    transition: top .3s;
  }
  .dropdown__subitem:hover > .dropdown__submenu {
    opacity: 1;
    top: 0;
    pointer-events: initial;
    transition: top .3s;
  }
}
@media screen and (max-width: 1024px) {
  body {
    word-spacing: normal;
  }

  .dropdown__menu,
  .dropdown__submenu,
  .dropdown__item,
  .dropdown__link {
    word-spacing: normal;
  }
}

